.woocommerce{

	&-wrapper{
		.products{
			@extend .list-inline;
			@extend .row;

			.product{
				@extend .col-12;
				@extend .col-sm-6;
				@extend .col-md-4;
				@extend .col-lg-3;
				@extend .my-5;
				@extend .py-3;
				@extend .d-flex;
				@extend .flex-column;
				@extend .justify-content-between;
				@extend .align-items-center;

				&:hover{
					@extend .bg-light;
				}

				a{
					@extend .d-block;
					@extend .text-center;
				}

				.price{
					del,
					ins{
						@extend .d-block;
					}
					del{
						@extend .text-muted;
						@extend .font-italic;
						@extend .small;
					}
					
					ins{
						@extend .text-decoration-none;
						@extend .lead;
						@extend .font-weight-bold;
						@extend .text-danger;
					}
				}

				.onsale{
					@extend .position-absolute;
					@extend .badge;
					@extend .badge-danger;
				}

				.add_to_cart_button{
					@extend .btn;
					@extend .btn-success;
					@extend .d-inline-block;
					@extend .mt-3;
					@extend .order-2;
				}

				.added_to_cart{
					@extend .btn;
					@extend .btn-link;
					@extend .order-1;
					@extend .mt-3;
				}
			}
		}
	}

	&-ordering{
		@extend .form-inline;

		select{
			@extend .form-control;
		}
	}

	&-message,
	&-notice--success{
		@extend .alert;
		@extend .alert-success;
	}
	&-info,
	&-noreviews{
		@extend .alert;
		@extend .alert-info;
	}
	&-error{
		@extend .alert;
		@extend .alert-danger;
	}

	.form-row,
	&-form-row{
		@extend .flex-column;
	}

	&-button[type="submit"],
	&-Button[type="submit"],
	.button{
		@extend .btn;
		@extend .btn-primary;
	}

	&-Price-currencySymbol{
		@extend .mr-1;
	}

	&-MyAccount-navigation{
		@extend .mb-3;
		@extend .py-3;
		@extend .border-secondary;
		@include uc-border-y();
		
		ul{
			@extend .list-inline;
			@extend .d-flex;
			@extend .justify-content-around;
			@extend .nav;
			@extend .nav-pills;
		
			li{
				@extend .list-inline-item;
				@extend .nav-item;
				
				&.is-active{
					a{
						@extend .active;
					}
				}

				a{
					@extend .nav-link;

					&:not(.is-active):hover{
						@extend .bg-light;
					}
				}
			}
		}
	}

	&-orders-table th{
		@extend .border-top-0;
	}

	&-cart-form{

		table{
			@extend .table;

			td{
				@extend .align-middle;
			}


			.product{
				&-remove{
					@extend .lead;
					a{
						@extend .text-danger;
					}
				}

				&-price,
				&-subtotal,
				&-quantity,
				&-quantity input{
					@extend .text-right;
				}
			}
		}

		button{
			@extend .btn;
		}

		.actions > button{
			@extend .btn-primary;
			@extend .float-right;
		}

		.coupon{
			@extend .d-inline-block;

			label {
				@extend .sr-only;
			}
			input{
				@extend .d-inline;
				@extend .w-auto;
			}
			button{
				@extend .btn-success;
				margin-top: -3px;
			}
		}
	}

	&-order-details,
	.cart_totals{
		@extend .table-responsive;
	}

	&-checkout-review-order{
		
		> table{
			@extend .table;
		}

		bdi{
			@extend .text-right;
		}
	}

	&-order-overview{
		@extend .row;

		> li{
			@extend .col-4;
			@extend .text-center;
			@extend .p-5;
			@extend .mb-3;
			@extend .text-muted;

			strong{
				@extend .d-block;
				@extend .text-dark;
				@extend .lead;
			}
		}
	}

	&.single-product{
		.woocommerce-wrapper > .product{
			@extend .row;

			.woocommerce-product-gallery,
			.summary{
				@extend .col-12;
				@extend .col-sm-6;
			}

			.woocommerce-product{
				&-gallery{
					&__trigger{
						@extend .d-inline;
					}
					.flex-viewport{
						height: 300px;

						figure{
							@extend .h-100;

							[data-thumb]{
								@extend .h-100;
								@extend .d-flex;
								@extend .flex-center;
		
								img{
									@extend .img-fluid;
								}
							}
						}
					}
					.flex-control-nav{
						@extend .list-inline;

						li{
							@extend .list-inline-item;
						}
					}
				}
				&-attributes{
					td{
						@extend .px-3;
						@extend .py-2;

						p{
							@extend .mb-0;
						}
					}
				}
			}
			
			.summary{
				.price{
					@extend .lead;
				}
				.stock{
					&.in-stock{
						@extend .text-success;
					}
					&.out-of-stock{
						@extend .text-danger;
					}
				}
				.cart{
					@extend .form-inline;
					@extend .mb-1;
				}
				.product_meta{
					@extend .text-muted;
					@extend .small;
				}
			}

			.products{
				@extend .mx-0;

				&ul{
					@extend .justify-content-between;
				}
			}

			#reviews{
				input[type="submit"]{
					@extend .btn;
					@extend .btn-primary;
				}

				.comment-form-rating{
					@extend .d-flex;
					@extend .flex-column;
					@extend .justify-content-center;
					@extend .my-3;

					.stars{
						@extend .mb-0;

						span{
							@extend .btn-group;

							a{
								@extend .btn;
								
								&:not(.active){
									@extend .btn-link;
								}
								&.active{
									@extend .btn-warning;
								}
							}
						}
					}
				}
			}

			ul.columns-3{
				@extend .row;
				@extend .w-100;

				> li{
					@extend .col-12;
					@extend .col-sm-6;
					@extend .col-md-4;
				}
			}
		}
	}

	&-tabs{
		@extend .border-bottom;
		@extend .w-100;
		@extend .my-5;

		ul{
			@extend .nav;
			@extend .nav-tabs;
			
			li{
				@extend .nav-item;

				a{
					@extend .nav-link;
				}

				&.active{
					a{
						@extend .active;
					}
				}
			}
		}

		.wc-tab{
			@extend .py-4;
			@extend .px-2;
		}
	}

	table{
		th,
		thead td{
			@extend .font-weight-normal;
			@extend .text-muted;
		}

		tfoot,
		.product-total{
			@extend .text-right;
		}
		.amount{
			@extend .float-right;
		}
	}

	ul{
		&[role="alert"],
		&.wc_payment_methods,
		&.order_details{
			@extend .list-unstyled;
		}
		&[role="alert"]{
			@extend .p-3;
		}
	}

	form .required{
		@extend .text-danger;
		@extend .text-decoration-none;
	}

	.u-columns > [class^="u-column"]{
		max-width: none;

		&.woocommerce-Address{
			@extend .col-12;
			@extend .col-sm-6;
		}
	}

	.col2-set {
		@extend .row;
	
		> [class^="col"]{
			@extend .col-12;
			
			@include media-breakpoint-up( sm ){
				max-width: 50%;
			}
		}
	}

	.screen-reader-text{
		@extend .sr-only;
	}

	.cart_totals,
	.cart-subtotal,
	.order-total{
		@extend .text-right;
	}

	.cart_totals{
		@extend .mt-5;
		
		> table{
			
			th,
			td{
				@extend .text-right;
			}

			.cart-discount{
				th,
				td{
					@extend .align-middle;
				}
			}
		}

		.woocommerce-remove-coupon{
			@extend .text-danger;
			@extend .float-left;	
		}
	}

	#order_review_heading,
	.woocommerce-order-details__title,
	.woocommerce-column__title{
		@extend .mt-5;
	}

}